import 'package:json_annotation/json_annotation.dart';

part 'reset.g.dart';


@JsonSerializable()
class ResetPasswordRequest {
  final String password;

  const ResetPasswordRequest({
    required this.password,
  });

  factory ResetPasswordRequest.fromJson(Map<String, dynamic> json) => _$ResetPasswordRequestFromJson(json);
  Map<String, dynamic> toJson() => _$ResetPasswordRequestToJson(this);

  static ResetPasswordRequest build({
    required String password,
  }) => ResetPasswordRequest(password: password);
} 